EDIT - feature request #7268
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Re-implement own preference dialog
02/14/2018 10:11 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Note: Also clean up p2 related code because we are now just using one update site at a time.

Associated revisions

Revision 672874ab - 02/15/2018 03:41 PM - Patrick Plitzner

ref #7268 Implement own extension point for preferences

Conflicts:

eu.etaxonomy.taxeditor.workbench/fragment.e4xmi

Revision 36e0ed0b - 02/15/2018 04:12 PM - Patrick Plitzner
ref #7268 Fix merge problem

Revision 267427cc - 02/19/2018 10:09 AM - Patrick Plitzner

ref #7268 Fix hierarchy of preference nodes

Revision ¢786¢70d - 02/19/2018 10:09 AM - Patrick Plitzner

ref #7268 Avoid multiple warnings for preferences while not connected

Revision c6b1be20 - 02/19/2018 10:09 AM - Patrick Plitzner

ref #7268 Unify preference page classes

Revision 2dd8037f - 02/19/2018 10:09 AM - Patrick Plitzner

ref #7268 Fix stateful behavior of OpenPreferenceHandler

e Convert class variables to local variables

Revision 5098693b - 02/19/2018 10:09 AM - Patrick Plitzner

ref #7268 Sort root nodes in preference dialog

Revision 6¢c012cf6 - 02/19/2018 11:34 AM - Patrick Plitzner

ref #7268 Hard-code P2 update site and remove from preferences

e update site is derived from the build version (nightly or stable)

Revision a088cd55 - 02/19/2018 05:19 PM - Patrick Plitzner
ref #7268 Refactored p2 update related classes

e moved handle and util to store plugin

e re-wrote update handler to not relate on eclipse internal update site preferences

Revision 663c54dd - 02/20/2018 03:41 PM - Patrick Plitzner
ref #7268 Added confirm dialog to p2 update handler +i18n
Revision e3ec8207 - 02/23/2018 10:45 AM - Patrick Plitzner
ref #7268 Fix potential NPE

Revision 598845be - 05/15/2018 04:25 PM - Patrick Plitzner
ref #7268, #6913 Remove p2 related code

History

#1 - 02/16/2018 08:51 AM - Patrick Plitzner

- Status changed from New to In Progress

#2 - 02/19/2018 10:41 AM - Patrick Plitzner

- Description updated

#3 - 02/19/2018 03:28 PM - Patrick Plitzner
Copied from #7007:

Katja Luther wrote:

Opening the preferences now throws an NPE:

java.lang.Exception:
editor version

server

schema version

os

java

1.

8.0_121

login

admin

4.15.0.201802191042
test.e-taxonomy.eu

(edit-test) / rem_conf_am

4.7.0.0.201710040000
Windows Server 2012 R2 6.3 amd64

java.lang.NullPointerException

at eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences.checkNoneChecked (AbstractMenuPreferenc
es.Jjava:270)
at eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences.performOk (AbstractMenuPreferences. java
.jface.preference.PreferenceDialog$8.run (PreferenceDialog. java:905)
.core.runtime.SafeRunner.run (SafeRunner. java:42)
.ui.internal.JFaceUtil$l.run (JFaceUtil. java:50)
.util.SafeRunnable.run (SafeRunnable. java:173)
.preference.PreferenceDialog.okPressed (PreferenceDialog. java:889)
.preference.PreferenceDialog.buttonPressed (PreferenceDialog. java:230)
.dialogs.Dialog$2.widgetSelected (Dialog. java:618)
.TypedListener.handleEvent (TypedListener. java:249)
.EventTable.sendEvent (EventTable. java:84)

.Display.sendEvent (Display.java:4418)

.Widget.sendEvent (Widget.java:1079)
.Display.runDeferredEvents (Display. java:4236)
.Display.readAndDispatch (Display.java:3824)

.jface.window.Window.runEventLoop (Window. java:818)

.Jjface.window.Window.open (Window. java:794)

eu.etaxonomy.taxeditor.workbench.handler.OpenPreferencesHandler.execute (OpenPreferencesHandler. java:l

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed4.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

#4 - 02/22/2018 03:14 PM - Patrick Plitzner

Patrick Plitzner wrote:

Copied from #7007:

Katja Luther wrote:

Opening the preferences now throws an NPE:

java.lang.Exception:

editor version

server

schema version
os : Windows Server 2012 R2 6.3 amdé64

java
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences.checkNoneChecked (AbstractMenuPref
erences.java:270)
at eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences.performOk (AbstractMenuPreferences

.Java:247)
jface.util.SafeRunnable.run (SafeRunnable. java:173)
jface.preference.PreferenceDialog.okPressed(PreferenceDialog. java:889)
jface.preference.PreferenceDialog.buttonPressed (PreferenceDialog. java:230)
jface.dialogs.Dialog$2.widgetSelected (Dialog. java:618)

TypedListener.handleEvent (TypedListener. java:249)
EventTable.sendEvent (EventTable. java:84)

Display.

sendEvent (Display. java:4418)

Widget.sendEvent (Widget.java:1079)

Display.
Display.
.jface.window.Window.

runDeferredEvents (Display. java:4236)
readAndDispatch (Display.java:3824)
runEventLoop (Window. java:818)

open (Window. java:794)

eu.etaxonomy.taxeditor.workbench.handler.OpenPreferencesHandler.execute (OpenPreferencesHandler. j
ava:124)

sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

Fixed potential NPE with taxeditor|935c0645af6942b1af9834fe6a3a78960bb1646¢

#5 - 05/15/2018 12:23 PM - Andreas Miller

How far is this implemented already? Should we assign it to the current milestone? Or the next? Percentage done?

#6 - 05/15/2018 01:23 PM - Patrick Plitzner

- Status changed from In Progress to Closed

- Target version changed from Unassigned CDM tickets to Release 5.0

- % Done changed from 0 to 100

The preferences are completely migrated. Any remaining issues should be treated in other tickets.
